//==============================================================================================================
// Do the echo on Serial Monitor of everything received on BT
// Rev  0.0
// Date 12/01/2024
// HW   ESP32
//==============================================================================================================

#include "BluetoothSerial.h"

BluetoothSerial SerialBT;           // assign a name to the BT line

int cols = 0;                       // columns 
//===========================================================================================
//
//===========================================================================================
void setup()
{
Serial.begin(115200);               // initialize the serial line for monitor toward PC
SerialBT.begin("ESP32_BT");         // the same for BT
}


//===========================================================================================
//
//===========================================================================================
void loop()
{
char carinp;

     if(SerialBT.available())          // something from app on BTline ?
     {
       carinp = SerialBT.read();       // show it on serial monitor
       Serial.print(carinp); 
       if(cols++ >= 80)                // when column 80 is reached, do a carriage return
          {Serial.println(); cols = 0; }  
      SerialBT.println(carinp);        // echo back to APP 
     }
}
    



